CADxp: .net - ouverture de ruban - CADxp

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

.net - ouverture de ruban

#1 L'utilisateur est hors-ligne   arnaudalp 

  • ceinture bleue
  • Groupe : Membres
  • Messages : 186
  • Inscrit(e) : 18-janvier 16

Posté 10 juillet 2019 - 19:22

Bonsoir
Je suis en train de buter sur l'accès à un ruban que je souhaite ouvrir via son ID ( ou autre, je veux juste l'ouvrir en tant que ruban contextuel ! )
J'ai créé un ruban depuis l'IUP d'autocad, dans un cuix partiel.
J'ai créé un événement de sélection, et lors que celui-ci est actif, je veux ouvrir mon ruban.
j'ai tenté ceci :
Autodesk.AutoCAD.Customization.CustomizationSection oCs = new Autodesk.AutoCAD.Customization.CustomizationSection(AccesCuix);

            Autodesk.AutoCAD.Customization.MenuGroup menu = oCs.MenuGroup;

            Autodesk.AutoCAD.Customization.RibbonRoot root = menu.RibbonRoot;

            Autodesk.AutoCAD.Customization.RibbonPanelSourceCollection panels = root.RibbonPanelSources;

            RibbonControl ribbonControl = Autodesk.Windows.ComponentManager.Ribbon;
            string test = "";
            foreach (Autodesk.AutoCAD.Customization.RibbonTabSource 
tabsource in root.RibbonTabSources)
            {
                if ( tabsource.Name == "OBJET")
                {                    
                    test = tabsource.ElementID;                    
                }
            }
            ribbonControl.FindTab(test).IsVisible = true;
            


Mais ma dernière ligne ne fonctionne pas. Je tourne en rond sur tous mes essais... :blink: :angry:
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)